Skip to main content
GET
C#
This endpoint requires the transactions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

transaction_id
string<uuid>
required

The unique identifier of the transaction.

Example:

"7099948d-7286-47e4-aad8-b68f7eb44591"

settlement_id
string<uuid>
required

The unique identifier of the refund settlement.

Example:

"b1e2c3d4-5678-1234-9abc-1234567890ab"

Response

Successful Response

A settlement record for a refund on a transaction.

id
string<uuid>
required

The unique identifier for the record.

Example:

"b1e2c3d4-5678-1234-9abc-1234567890ab"

merchant_account_id
string
required

The merchant account this record belongs to.

Example:

"default"

created_at
string<date-time>
required

The date and time the record was created, in ISO 8601 format.

Example:

"2024-06-01T12:00:00.000Z"

updated_at
string<date-time>
required

The date and time the record was last updated, in ISO 8601 format.

Example:

"2024-06-01T12:00:00.000Z"

posted_at
string<date-time>
required

The date and time the record was posted, in ISO 8601 format.

Example:

"2024-06-01T12:00:00.000Z"

ingested_at
string<date-time>
required

The date and time the record was ingested, in ISO 8601 format.

Example:

"2024-06-01T12:00:00.000Z"

currency
string
required

ISO 4217 currency code.

Pattern: ^[A-Z]{3}$
Examples:

"EUR"

"GBP"

"USD"

amount
integer
required

The total amount in the smallest currency unit (e.g. cents).

Example:

1100

commission
integer
required

The commission amount deducted in the smallest currency unit.

Example:

100

payment_service_report_id
string<uuid>
required

The report ID from the payment service.

Example:

"a1b2c3d4-5678-1234-9abc-1234567890ab"

payment_service_report_file_ids
string<uuid>[]
required

List of file IDs for the payment service report.

Example:
transaction_id
string<uuid>
required

The transaction this record is associated with.

Example:

"7099948d-7286-47e4-aad8-b68f7eb44591"

refund_id
string<uuid>
required

The refund this settlement is associated with.

Example:

"b1e2c3d4-5678-1234-9abc-1234567890ab"

exchange_rate
number | null

The exchange rate, if applicable.

Example:

1

interchange
integer | null

The interchange fee, if applicable, in the smallest currency unit.

Example:

50

markup
integer | null

The markup fee, if applicable, in the smallest currency unit.

Example:

10

scheme_fee
integer | null

The scheme fee, if applicable, in the smallest currency unit.

Example:

5

type
string
default:refund-settlement

Always refund-settlement.

Allowed value: "refund-settlement"
Example:

"refund-settlement"